Package uk.ac.starlink.fits

# Class ColFitsTableBuilder

java.lang.Object
uk.ac.starlink.table.formats.DocumentedTableBuilder
uk.ac.starlink.fits.ColFitsTableBuilder

All Implemented Interfaces:
  `uk.ac.starlink.table.Documented`, `uk.ac.starlink.table.formats.DocumentedIOHandler`, `uk.ac.starlink.table.TableBuilder`

public class ColFitsTableBuilder extends uk.ac.starlink.table.formats.DocumentedTableBuilder
Implementation of the `TableBuilder` interface which reads tables stored in column-oriented FITS binary table format. The table data is stored in a BINTABLE extension which has a single row; each cell in this row contains the data for an entire column of the represented table.

This rather specialised format may provide good performance for certain operations on very large, especially very wide, tables. Although it is FITS and can therefore be used in principle for data interchange, in practice most non-STIL processors are unlikely to be able to do much useful with it.

Since:
  26 Jun 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ColFitsTableBuilder()`
Default constructor.
`ColFitsTableBuilder(WideFits wide)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canImport(DataFlavor flavor)`
`boolean`
`canStream()`
`boolean`
`docIncludesExample()`
`String`
`getFormatName()`
`String`
`getXmlDescription()`
`uk.ac.starlink.table.StarTable`
`makeStarTable(uk.ac.starlink.util.DataSource datsrc, boolean wantRandom, uk.ac.starlink.table.StoragePolicy storagePolicy)`
`void`
`streamStarTable(InputStream in, uk.ac.starlink.table.TableSink sink, String pos)`

### Methods inherited from class uk.ac.starlink.table.formats.DocumentedTableBuilder

`getExtensions, looksLikeFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.formats.DocumentedIOHandler

`readText`

## Constructor Details

### ColFitsTableBuilder

public ColFitsTableBuilder()
Default constructor.

### ColFitsTableBuilder

public ColFitsTableBuilder(WideFits wide)
Constructor.

Parameters:
  `wide` - convention for representing extended columns; use null to avoid use of extended columns

## Method Details

### getFormatName

public String getFormatName()

### streamStarTable

public void streamStarTable(InputStream in, uk.ac.starlink.table.TableSink sink, String pos) throws uk.ac.starlink.table.TableFormatException

Throws:
  `uk.ac.starlink.table.TableFormatException`

### canImport

public boolean canImport(DataFlavor flavor)

### makeStarTable

public uk.ac.starlink.table.StarTable makeStarTable(uk.ac.starlink.util.DataSource datsrc, boolean wantRandom, uk.ac.starlink.table.StoragePolicy storagePolicy) throws IOException

Throws:
  `IOException`

### canStream

public boolean canStream()

Specified by:
  `canStream` in class `uk.ac.starlink.table.formats.DocumentedTableBuilder`

### docIncludesExample

public boolean docIncludesExample()

### getXmlDescription

public String getXmlDescription()